package com.jsowell.pile.domain;

import com.jsowell.common.annotation.Excel;
import com.jsowell.common.core.domain.BaseEntity;
import lombok.*;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 万车充--第三方平台桩编号对应关系对象 thirdparty_sn_relation
 *
 * @author jsowell
 * @date 2024-03-09
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class ThirdpartySnRelation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 站点id
     */
    private String stationId;

    /**
     * 桩编号
     */
    @Excel(name = "桩编号")
    private String pileSn;

    /**
     * 第三方平台类型
     */
    @Excel(name = "第三方平台类型")
    private String thirdpartyType;

    /**
     * 第三方平台对应的设备编号
     */
    @Excel(name = "第三方平台对应的设备编号")
    private String thirdpartyPileSn;

    /**
     * 删除标识（0-正常；1-删除）
     */
    private String delFlag;



    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
                .append("id", getId())
                .append("pileSn", getPileSn())
                .append("thirdpartyType", getThirdpartyType())
                .append("thirdpartyPileSn", getThirdpartyPileSn())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("delFlag", getDelFlag())
                .toString();
    }
}
